DEVICE_REGISTER(9)

NAME
device_register - register a device with the system.

SYNOPSIS

int device_register (struct device * dev);

ARGUMENTS

dev pointer to the device structure

DESCRIPTION

This happens in two clean steps - initialize the device and add it to the system. The two steps can be called separately, but this is the easiest and most common. I.e. you should only call the two helpers separately if have a clearly defined need to use and refcount the device before it is added to the hierarchy.